# tbb::simple_partitioner Class Reference
[Algorithms]

A simple partitioner. More...

`#include <partitioner.h>`

List of all members.

## Friends

class | serial::interface6::start_for
class | interface6::internal::start_for
class | interface6::internal::start_reduce
class | internal::start_scan

## Classes

class | partition_type

## Detailed Description

A simple partitioner.

Divides the range until the range is not divisible.

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.